Bug 536281 - (RHQ-648) When user doesn't have Measurements role, the checkboxes next to the collection schedule items should be removed or at least disabled
When user doesn't have Measurements role, the checkboxes next to the collecti...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.1pre
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2008-07-07 10:55 EDT by Jeff Weiss
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:58:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-07-07 10:55:00 EDT
Create a user/role with all resource perms except "Measurement" (and no global perms).  

Go to a resource's Monitor/Configure tab.  Notice there are checkboxes on the Collection Schedule items are there, but there are no actions that can be taken on selected items.

The checkboxes should be either removed or disabled when the user doesn't have permission to modify.
Comment 1 Heiko W. Rupp 2008-07-07 11:50:25 EDT
Should a user without Measurement perms be able to see the measurement data at all?
Comment 2 Ian Springer 2008-07-07 12:10:58 EDT
Yes, remember, just being in a role gives a user view permissions across all subsystems for Resources associated with the role. For example, the user can view metrics data or resource config, but cannot edit metric schedules or resource config unless the role has the respective perms set.
Comment 3 Red Hat Bugzilla 2009-11-10 16:13:58 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-648
Comment 4 Ian Springer 2011-02-24 21:33:17 EST
This is now fixed in coregui.war - [master ee1cabe]. Specifically, the enable/disable/set-interval controls on metric schedule views are now disabled if the logged-in user does not have the required permissions.
Comment 5 Sunil Kondkar 2011-06-01 07:48:39 EDT
Verified on build107 (Version: 4.1.0-SNAPSHOT Build Number: 9192306)

Created a role without Manage Measurements write permissions and assigned a user and a resource group to the role.

Logged in as the user and verified that on selecting a metric on Monitoring->Schedules tab, the buttons Enable/Disable are disabled and user is not allowed to set the collection interval time.

Also verified that the checkboxes next to collection schedule items are disabled.

Marking as verified.
Comment 7 Heiko W. Rupp 2013-09-03 12:58:07 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.